package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["eta/eta_report/controllers:ChartController"] = append(beego.GlobalControllerRouter["eta/eta_report/controllers:ChartController"],
        beego.ControllerComments{
            Method: "ChartDetail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_report/controllers:EnglishReportShareController"] = append(beego.GlobalControllerRouter["eta/eta_report/controllers:EnglishReportShareController"],
        beego.ControllerComments{
            Method: "EnglishReportDetail",
            Router: `/share/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_report/controllers:EnglishReportShareController"] = append(beego.GlobalControllerRouter["eta/eta_report/controllers:EnglishReportShareController"],
        beego.ControllerComments{
            Method: "TrialEnglishReportDetail",
            Router: `/trial/share/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_report/controllers:ExcelController"] = append(beego.GlobalControllerRouter["eta/eta_report/controllers:ExcelController"],
        beego.ControllerComments{
            Method: "ExcelDetail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_report/controllers:ReportShareController"] = append(beego.GlobalControllerRouter["eta/eta_report/controllers:ReportShareController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/share/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_report/controllers:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_report/controllers:SmartReportController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/share/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_report/controllers:WechatCommonController"] = append(beego.GlobalControllerRouter["eta/eta_report/controllers:WechatCommonController"],
        beego.ControllerComments{
            Method: "GetWxSign",
            Router: `/open/getWxSign`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
